Page MenuHomePhabricator

[libcxx][test][NFC] Extend testing for vector.cons
ClosedPublic

Authored by kboyarinov on Dec 2 2021, 6:34 AM.

Details

Summary

Extending std::vector tests in vector.cons module:

  • std::vector::assign when source range is bigger than destination capacity
  • construction of empty vector using copy ctor, initializer_list ctor and others

Diff Detail

Event Timeline

kboyarinov requested review of this revision.Dec 2 2021, 6:34 AM
kboyarinov created this revision.
ldionne accepted this revision.Dec 2 2021, 6:55 AM

Generally LGTM with some suggestions. Ship it if CI passes and once suggestions have been applied! Thanks a lot for improving our test suite.

libcxx/test/std/containers/sequences/vector/vector.cons/assign_iter_iter.pass.cpp
69
libcxx/test/std/containers/sequences/vector/vector.cons/construct_iter_iter.pass.cpp
28–45
This revision is now accepted and ready to land.Dec 2 2021, 6:55 AM
kboyarinov updated this revision to Diff 392054.Dec 6 2021, 7:05 AM

Fix comments from @ldionne

kboyarinov marked 2 inline comments as done.Dec 6 2021, 7:06 AM
ldionne accepted this revision.Dec 6 2021, 7:46 AM
rarutyun accepted this revision.Dec 10 2021, 3:55 AM
This revision was automatically updated to reflect the committed changes.